curl
curl -sS -X PATCH "https://gateway.orbit/api/v1/nodes/7/name" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"name": "beast"}'{
"data": {
"id": 123,
"cluster_id": 123,
"name": "<string>",
"status": "<string>",
"platform": "<string>",
"architecture": "<string>",
"tld": "<string>",
"public_ssh_host": "<string>",
"public_ssh_port": 123,
"user": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>",
"wireguard_public_key": "<string>",
"wireguard_endpoint_override": "<string>",
"dns_server_override": "<string>",
"ssh_host_fingerprint": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"roles": [
"<string>"
],
"settings": {
"apps": {
"path": "<string>"
}
},
"updating": {
"kind": "fleet_rollout",
"since": "<string>",
"rollout": 123,
"release": 123
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Nodes
node:rename
Change the unique registry name of a node.
PATCH
/
api
/
v1
/
nodes
/
{node}
/
name
curl
curl -sS -X PATCH "https://gateway.orbit/api/v1/nodes/7/name" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"name": "beast"}'{
"data": {
"id": 123,
"cluster_id": 123,
"name": "<string>",
"status": "<string>",
"platform": "<string>",
"architecture": "<string>",
"tld": "<string>",
"public_ssh_host": "<string>",
"public_ssh_port": 123,
"user": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>",
"wireguard_public_key": "<string>",
"wireguard_endpoint_override": "<string>",
"dns_server_override": "<string>",
"ssh_host_fingerprint": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"roles": [
"<string>"
],
"settings": {
"apps": {
"path": "<string>"
}
},
"updating": {
"kind": "fleet_rollout",
"since": "<string>",
"rollout": 123,
"release": 123
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}